#ifndef __HWCONFIG_H
#define __HWCONFIG_H

#include "mg32f10x.h"

/* diody LED1 i LED2 */

#define LED1_port				GPIOB
#define LED1_pin				GPIO_Pin_13

#define LED2_port				GPIOB
#define LED2_pin				GPIO_Pin_12

/* linie do sterowania wyswietlaczem LED */

#define DISP_A_port			GPIOB
#define DISP_A_pin			GPIO_Pin_7

#define DISP_B_port			GPIOC
#define DISP_B_pin			GPIO_Pin_11

#define DISP_C_port			GPIOD
#define DISP_C_pin			GPIO_Pin_2

#define DISP_D_port			GPIOB
#define DISP_D_pin			GPIO_Pin_4

#define DISP_E_port			GPIOB
#define DISP_E_pin			GPIO_Pin_5

#define DISP_F_port			GPIOB
#define DISP_F_pin			GPIO_Pin_6

#define DISP_G_port			GPIOC
#define DISP_G_pin			GPIO_Pin_12

#define DISP_DP_port		GPIOB
#define DISP_DP_pin			GPIO_Pin_3

#define DISP_COM1_port	GPIOC
#define DISP_COM1_pin		GPIO_Pin_7

#define DISP_COM2_port	GPIOC
#define DISP_COM2_pin		GPIO_Pin_8

#define DISP_COM3_port	GPIOC
#define DISP_COM3_pin		GPIO_Pin_9

#define DISP_COM4_port	GPIOC
#define DISP_COM4_pin		GPIO_Pin_6

/* wyjscie potencjometru */

#define POT_port				GPIOC
#define POT_pin					GPIO_Pin_4

/* interfejs UART */

#define UART_TX_port		GPIOA
#define UART_TX_pin			GPIO_Pin_9

#define UART_RX_port		GPIOA
#define UART_RX_pin			GPIO_Pin_10

/* interfejs I2C */

#define I2C_SCL_port		GPIOB
#define I2C_SCL_pin			GPIO_Pin_10

#define I2C_SDA_port		GPIOB
#define I2C_SDA_pin			GPIO_Pin_11


/* interfejs SPI */

#define SPI_CS_port			GPIOC
#define SPI_CS_pin			GPIO_Pin_0

#define SPI_MOSI_port		GPIOC
#define SPI_MOSI_pin		GPIO_Pin_3

#define SPI_MISO_port		GPIOC
#define SPI_MISO_pin		GPIO_Pin_2

#define SPI_SCLK_port		GPIOC
#define SPI_SCLK_pin		GPIO_Pin_1

/* przyciski */

#define SW1_port				GPIOB
#define SW1_pin					GPIO_Pin_0

#define SW2_port				GPIOC
#define SW2_pin					GPIO_Pin_4 //5

#endif
