/* Includes ------------------------------------------------------------------*/
#include "mg32f10x.h"
#include "hardware.h"


/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

/**
  * @brief  Main program.
  * @param  None
  * @retval None
  */
int main(void)
{
	/* Inicjalizacja peryferiow */
	initPeripherals();
	
	/* Wylaczenie obu diod LED */
	LED_onoff(1, LED_OFF);
	LED_onoff(2, LED_OFF);

  while (1){
		
		LED_onoff(1, LED_ON);
		LED_onoff(2, LED_OFF);

		delay(500);
		
		LED_onoff(1, LED_OFF);
		LED_onoff(2, LED_ON);	

		delay(500);	
  
  }
}


#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(uint8_t* file, uint32_t line)
{ 
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
  while (1)
  {
  }
}
#endif
